package rocks.theodolite.benchmarks.loadgenerator;

import java.io.Closeable;

/**
 * This interface describes a function that takes meta information from a string key and produces an
 * object of type T.
 *
 * @param <T> the type of the objects that will be generated by the function.
 */
@FunctionalInterface
public interface RecordGenerator<T> extends Closeable {

  T generate(final String key);

  @Override
  default void close() {
    // Nothing to do per default
  }

}
